$(document).ready(function(){
	
   
   var iframe  = $("<iframe id='metastore-tools-popup'> </iframe>");
   $(iframe).css({"border":"0","padding":"0px","margin":"0"});
   
   $(".metastore-tools-trigger").click(function(){
      
      var type    = $(this).attr("resourcetype");
      var urlcontext = $(this).attr("urlcontext");
      var context = $(this).attr("resourcecontext");
      var url     = $(this).attr("itemurl");
      var redirectTo = $(this).attr("redirectto");
      var title   = $(this).attr("title");
      var action  = $(this).attr("resourceaction");
      var pendingStatus = $(this).attr("resourcestatus");
      var id = $(this).attr("itemurl");

        if (urlcontext != '') {
                url     = urlcontext +url;
                redirectTo     = urlcontext +redirectTo;

        }
      
      url = url.split("?")[0].split(";")[0];

      if(action == 'Create') url+= '/create'
      if(action == 'Edit') url+= '/edit'
      if(action == 'Delete') url+= '/delete'
      
      url += '?id=' + id +'&popup=true&portal=admin&context=' + context;

      if(action == 'Create') url += '&type=' + type;
      if($(this).attr("redirectto")) url += '&redirectTo=' + redirectTo;
         
      $("body").append(iframe);
      iframe.get(0).src = url;
      
      var iframeButtons = {
         Cancel: function() {
            $(this).dialog('close');
            //this.src = "about:blank";
         }
      }
      iframeButtons[action] = function() {
         var iframeContent = $("#metastore-tools-popup").get(0).contentWindow;
         if(iframeContent.UPLOADS_IN_PROGRESS>0){
            alert("Please wait until all uploads have completed before submitting the form");
            return;
         }
         if(pendingStatus == 'live') {
            iframeContent['$'](".bt_status").val('live');
         } else {
            iframeContent['$'](".bt_status").val('pending');
         }
         iframeContent['$'](".facet-form,.delete-form").submit();
         return false;
         //$(this).dialog('close');
      };

       
      iframe.dialog({
         bgiframe: true,
         height: 569,
         width: 960,
         modal: true,
         title: title,
         buttons: iframeButtons,
         beforeclose: function(){
            return confirm("Are you sure you want to close this window? Any changes will be lost.")
         },
         close: function(){
            this.src = "about:blank"
            $(this).remove();
         }
      })
      iframe.css({"width":"935px"})
   });
  
    
   $(".approvePending").click(function(event){

	   var formPending = $("body").find("form#setlive");
	   $("body").append("<div class='approvePendingList'>Are you sure you want to Approve this item?</div>");
	   
	   var checkedCheckedBox = $("#setlive :checkbox:checked").length > 0;
	   if (checkedCheckedBox >0) {
		   
		   event.preventDefault(); 
		   
		   $(".approvePendingList").dialog({
		  		  resizable:false,
		  	      height:160,
		  	      modal:true,
		  	      title:"Approve",
		  	      buttons:{
		  	    	  Cancel:function(e){
		  	    		  $(this).dialog("close");
		  	    		$(".approvePendingList").dialog('destroy').remove();
	  	    	      },
	  	    	      Approve:function(e){ 
	  	    		    
	  	    		 formPending.submit();  	    		  
	  	    		    $(this).dialog("close");
	  	    		    $(".approvePendingList").dialog('destroy').remove();
	  	    	   }
                 }
	  	    });

	   }else{
		   event.preventDefault();
		   alert("No items where selected");
	   }
   
   });
   
   
   
    
   $( 'a[id|="makelive"]' ).click(function() {
	   var makeLiveAttrs = $(this);
	   $("body").prepend("<div class='approveItemPopup'>Are you sure you want to Approve this item?</div>");
	   
	   	  $(".approveItemPopup").dialog({
	  		  resizable:false,
	  	      height:160,
	  	      modal:true,
	  	      title:"Approve",
	  	      buttons:{
	  	    	  Cancel:function(e){
	  	    		  e.preventDefault();
	  	    		  $(this).dialog("close");
	  	    	  },
	  	    	  Approve:function(){
	  	    		  
	  	    		$(".pendingWaterMark").append("<span class='spinnerAprrove'><img src='/images/jp/spinner.gif'/></span><br />");
   	        	    $(this).dialog("close");
   	        	   
   	        	   
	  	    	       var id = makeLiveAttrs.attr("id");
	  	    	       var itemId = id.substring(id.indexOf("-")+1, id.lastIndexOf("-"));
	  	    	       var rdfType = id.substring(id.lastIndexOf("-")+1, id.length);
	  	    	       var data = {'id': itemId, 'rdfType': rdfType};
	  	    	       var url = $("#hiddenContext").html()+"/admin/ct/approve.action";
	  	    	       //need confirm dialog before proceeding
	  	    	       $.post(url, data, function(resp) {  
	  	    	           try{
	  	    	        	   
	  	    	        	      var blurbID = "div#" + resp.message;
	  	    	        	      var blurbMessage = $(blurbID).html();
	  	    	        	     // $(".approveItemPopup").html(blurbMessage);
	  	    	        	   
	  	    	        	   
	  	    	               //$(id).text('' + resp.message + '').fadeIn(30).fadeOut(5000);//Show this message 
	  	    	               $('a[id|="makelive"]').bind('click', false);
	  	    	               	if (resp.message == 'makelivesuccess'){
	  	    	               		$('a[id|="makelive"]').fadeOut(50); //only if message key ends with success
	  	    	               	    $(".pendingWaterMark").remove(".spinnerAprrove");
	  	    	               		$(".pendingWaterMark").prepend().html(blurbMessage);
	  	    	               		window.location.reload(true);
	  	    	               	}else if(resp.message == 'makeliveinvaliddata'){
	  	    	               	    $(".pendingWaterMark").prepend().html(blurbMessage);
	  	    	               	    $(".pendingWaterMark").remove(".spinnerAprrove");
	  	    	                    $(".pendingWaterMark").remove(".spinnerAprrove");
	  	    	               	}else if(resp.message == 'makeliveerror'){
	  	    	               	    $(".pendingWaterMark").prepend().html(blurbMessage);
	  	    	               	    $(".pendingWaterMark").remove(".spinnerAprrove");
	  	    	               	    $(".pendingWaterMark").remove(".spinnerAprrove");
	  	    	               	}

	  	    	              // $(".ui-dialog-buttonset").find("button").last().hide();
	  	    	               
	  	    	           } catch(e) {
	  	    	                  //alert("Item approval failed, try again after some time: " + e ); 
	  	    	                  $('a[id|="makelive"]').unbind('click', false);
	  	    	                  $(".approveItemPopup").html("Item approval failed, try again after some time: " + e ); 
	  	    	                  $(".pendingWaterMark").prepend().html("Item approval failed, try again after some time: " + e );
	  	    	                  $(".pendingWaterMark").remove(".spinnerAprrove");
	  	    	                  $(".ui-dialog-buttonset").find("button").last().hide();
	  	    	                 
	  	    	               } 
	  	    	       });
	  	    	    // $(this).dialog("close");
	  	    	     return false;	  
	  	    	      
	  	    	  }
	  	      }
	  	  });
	   	  
	   	  
   });
  
})
