var shutOffInlineSearch = false;

var stdTimeout = 120000;
/**
 *
 */

function jumpMenuSetUp() {
    //$('div.sectionDivider .menuButton').before('<a href="#top"><div class="menubutton gototoplinkFT"></div></a>');

    var whichSection = 2;
    whichSection = $('div.article-title-and-authors .sectionDivider').length;
    whichSection += $('div.article-abstract .sectionDivider').length;

    if ($(".introduction-section-link").length > 0) {
        //$("a.introduction-section-link").text("[SECTION 1]");
        $("a.introduction-section-link").remove();
    }

    $("a[href='#top']:eq(" + whichSection + ")").remove();
    $('div.sectionDivider:eq(' + whichSection + ')').attr("id","top");
    $('.dropDownMenu:eq(' + whichSection + ')').css("right","0px");

}

/**
* 
*/

function dataAndMediaSetUp() {
	if ($('#dataAndMediaMatches').is(':empty')){
		$('#dataAndMediaMatches').remove();	
		$('#dataAndMediaTitle').remove();
		$('.dataAndMediaLink').remove();
	}
}

/**
 *
 */

function fetchFulltextHtml() {
    var target = $(".itemFullTextHtml");

    if (target.hasClass("retrieveFullTextHtml") ) {
        var fulltextUrl = target.html();
        fulltextUrl = fulltextUrl.replace(/&amp;/g,"&");
        $("#itemFullTextId").empty();
        var docserverReq = "";
        //
        // A full jQuery AJAX call is made to allow for different callbacks for success and failure...
        //
        $.ajax({
            type   : "GET",
            url    : fulltextUrl,
            success: function(resp){
                docserverReq = resp;
                var a = $('<a>', { href:docserverReq } )[0];
                var dsUrl = a.pathname + a.search;
                if ( ! dsUrl.match(/^\//)) {
                        dsUrl = "/" + dsUrl;
                }
            
                $.ajax({
                    type   : "GET",
                    url    : dsUrl,
                    timeout: stdTimeout,
                    success: function(ftresp){
                        var target = $(".itemFullTextHtml");
                        target.removeClass("retrieveFullTextHtml");
                        target.removeClass("hiddenjsdiv");
                        target.html();

                        // Remove the spinning icon...
                        $(".itemFullTextLoading").remove();

                        var container = document.getElementById('itemFullTextId');
                        var ajaxNode  = document.createElement('span');
                        ajaxNode.innerHTML = ftresp;
                        container.insertBefore(ajaxNode, container.firstChild);

                        //Add in the styled 'top' navigation link to all but first item etc.
                        jumpMenuSetUp();
                        $('.dropDownMenu:eq(2)').css("right","0px");

                        dataAndMediaSetUp();
                        
                        var mathscript  = document.createElement("script");
                        mathscript.type = "text/javascript";
                        mathscript.src  = "/js/jp/MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML-full";

                        var config = 'MathJax.Hub.Startup.onload();';

                        if (window.opera) {
                            mathscript.innerHTML = config;
                        } else {
                            mathscript.text = config;
                        }

                        container.insertBefore(mathscript, container.firstChild);
                        MathJax.Hub.Queue(["Typeset",MathJax.Hub]);

                        // Now try and load in the Reference Matches...
                        // fetchReferenceMatches() is in referencematching.js

                        var itemWebId = $("#itemWebIdForRefs").text();

                        // If there are no references then this will not be loaded, so check before calling...

                        if (typeof fetchReferenceMatches === "function") {
                            fetchReferenceMatches(itemWebId, "fulltext");
                        }
                    },
                    error  : function(ftresp){
                        $("#itemFullTextId").innerHTML = "The full text of this article is not currently available.";
                        var cMsg = "'fulltext' AJAX GET (Stage 2) to '" + resp + "' failed: " + ftresp.status + " (" + ftresp.statusText + ")";

                        // Remove the spinning icon...
                        $(".itemFullTextLoading").remove();
                    }
                });
            },
            error  : function(resp){
                $("#itemFullTextId").innerHTML = "The full text of this article is not currently available.";
                var cMsg = "'fulltext' AJAX GET (Stage 1) to '" + fulltextUrl + "' failed: " + resp.status + " (" + resp.statusText + ")";

                // Remove the spinning icon...
                $(".itemFullTextLoading").remove();
            }
        });
    }
}

$(document).ready(function() {

    var hiddenContext = $("#hiddenContext").text();
    var siqUrl        = hiddenContext + "/siq/siq.action";

    //In line search
    if (shutOffInlineSearch !== true ) {
        $(".articlefulltext").live("mouseup", function (e){
            runInLineSearch(e);
        });
    }

    //
    // Two actions to support FullText in article and chapter...
    //
    $(".menuButton").live("click", function () {
        var parentContainer = $(this).parent(".sectionDivider").parent(".articleSection");
        var currentMenu = $(parentContainer).find(".dropDownMenu");
        $(currentMenu).slideToggle(500);
        return false;
    });

    $(".menuLink, .menubutton.gototoplinkFT").live("click", function () {
        $(".dropDownMenu").hide(100);
        return true;
    });

    //
    // As needed, retrieve the full text of an article, a chapter or contributors...
    //
    $("#articlefulltext a").click(function(){
        fetchFulltextHtml();
    });

    //
    // AHAH call for HTML Full Text tab required for SIQ tagging request
    //
    $("#articlefulltext a").click(function(e) {
        var webId = $(".siqItemId").text();
        var pageTitle = $(".siqPageTitle").text();
        var doi = $(".siqDoi").text();
        var isActive = $(".siqFullTextHTMLTabEnabled").text();

        var logPub2webEvent = false;

        if (!$(".itemFullTextHtml").hasClass("retrieveFullTextHtml")) {
            logPub2webEvent = true;
        }

        if (isActive) {
            siq(siqUrl, webId, pageTitle, doi, "FulltextHTMLDownload", logPub2webEvent);
        }
    }) ;

    //
    // AHAH call for HTML Full Text on load the page required for SIQ tagging request, i.e. Magazine Article
    //
    if($("#itemFullTextId").size() > 0 && $(".fullTextHtmlTab").size()  < 1){
        var webId = $(".siqItemId").text();
        var pageTitle = $(".siqPageTitle").text();
        var doi = $(".siqDoi").text();

        siq(siqUrl, webId, pageTitle, doi, "FulltextHTMLDownload", true);
    }

    var vars = [], hash;
    var q = document.URL.split('?')[1];
    if (q !== undefined){
        q = q.split('&');
        for (var i = 0; i < q.length; i++) {
            hash = q[i].split('=');
            vars.push(hash[1]);
            vars[hash[0]] = hash[1];
        }
    }

    if (vars['showFTTab'] === 'true') {
        // alert(vars['showFTTab']);
        $("#articlefulltext a").click();
    }

});

/**
 *
 * @param filename
 */

function popupImage(filename) {
    //
    // Use the same proportions as the dialog box
    //
    var w_width  = $(window).width()  * 0.8;
    var w_height = $(window).height() * 0.8;
    var w_params  = "menubar=no,width=" + w_width + ",height=" + w_height + ",toolbar=no,resizeable=yes,scrollbars=yes";
    window.open(filename, "figWindow", w_params);
}

function getSelectioner() {
    var userSelection;
    if (window.getSelection) {
        userSelection = (window.getSelection()).toString();
    }
    else if (document.selection) { // should come last; Opera!
        userSelection = (document.selection.createRange()).text;
    }
    return userSelection;
}

// handles the chevron changing on menuButton
$('.menuButton').live("click", function() {
    if (!$('.menuButton').hasClass("up")) {
        $('.menuButton').addClass("up");
     }
});

$('.menuButton.up').live("click", function() {
        $('.menuButton').removeClass("up");
});


/**
 *
 * @param e
 * @returns {Boolean}
 */

//In line search function
function runInLineSearch(e) {

    var singlePreview = $("#singlePreview");

    singlePreview.find(".inlineSearch").remove();
    singlePreview.hide();
    var selection = getSelectioner();

    var strlength = selection.length;
    if (selection !== "" && strlength > 2 && strlength < 100) {

        var publicationTitle = $('.searchtitle').html();

        singlePreview.dialog("open");
        singlePreview.show();
        singlePreview.append("<img src=\"/images/jp/spinner.gif\" alt=\"Loading related articles...\"/>");

        var hiddenContext = $("#hiddenContext").text();
        var resultCategory = "ResearchPublicationContent";
        if (publicationTitle === 'Physics Today' ) {
            resultCategory = "MagazineContent";
        }

        var searchserviceurl = encodeURI(hiddenContext +
                               '/search/ahahsearch?value1=' + selection +
                               '&option1=fulltext&value8="' + publicationTitle +
                               '"&operator8=AND&option8=journalbooktitle&option12=resultCategory&value12=' + resultCategory +
                               '&fmt=ahah&noRedirect=true&pageSize=5');

        // AJAX call converted from simple $.get to full $.ajax to allow more graceful handling of errors...
        $.ajax({
            type    : "GET",
            data    : "",
            dataType: "text",
            url     : searchserviceurl,
            success : function(resp, statusText) {
                if (resp !== null) {
                    var innerSearch = "<div class='inlineSearch'>" + resp + "</div>";
                    singlePreview.find(".inlineSearch").remove();
                    singlePreview.get(0).innerHTML = innerSearch;
                    MathJax.Hub.Queue(["Typeset", MathJax.Hub, singlePreview.get(0)], [function() {
                        // Display the dialog after mathjax has done it's work
                        singlePreview.dialog({width:"500",position:[e.pageX, e.pageY + 20], modal: false, autoOpen: false});
                        singlePreview.dialog().parent(".ui-dialog").wrap("<div class='singlePreviewWrapper'></div>");
                        singlePreview.dialog("open");
                        singlePreview.css("display","block");
                        singlePreview.find("img").remove();
                    }]);
                }
            },
            error   : function(req, statusText) {
                singlePreview.find("img").remove();
            }
        });

        return false;
  }
}
