var iframe = null;

var iframeButtons = {
   Close: function() {
      iframe.dialog('close');
   }
}
function resize() {
   var dialogHeight = iframe.height();
   var tabHeight = $(".ui-tabs-nav", $(this).get(0).contentDocument).height();
   $("iframe", iframe.dialog().get(0).contentDocument).height(dialogHeight - tabHeight -42); // The 42 is made up of various paddings
   iframe.css({"width":"100%"})
}

function resetPricingButtons() {
   if (iframe) {
      iframe.dialog("option", "buttons", iframeButtons);
      resize();
   }
};
function clearPricingButtons() {
   if (iframe) {
      iframe.dialog("option", "buttons", {});
   }
};
function getPricingButtons() {
   if (iframe) {
      var buttons = iframe.dialog("option", "buttons");
      return jQuery.extend(true, {}, buttons);
   }
   return null; 
}
function setPricingButtons(newButtons) {
   if (iframe) {
      iframe.dialog("option", "buttons", newButtons);
      resize();
   }
}

function addPricingButton(name, f) {
   if (iframe) {
      var newButtons = getPricingButtons();
      newButtons[name] = f;
      setPricingButtons(newButtons);
   } 
};

$(document).ready(function(){
   
   iframe  = $("<iframe id='pricing-tools-popup' frameborder='0' border='0' scrolling='no' style='overflow:hidden;'> </iframe>");
   $(iframe).css({"border":"0","padding":"0px","margin":"0"});
   
   $(".pricing-tools-trigger").click(function(){
      
      var type    = $(this).attr("resourcetype");
      var urlcontext = $(this).attr("urlcontext");
      var context = $(this).attr("resourcecontext");
      var url     = $(this).attr("itemurl");
      var redirectTo = $(this).attr("redirectto");
      var title   = $(this).attr("title");
      var action  = $(this).attr("resourceaction");

        if (urlcontext != '') {
                url     = urlcontext +url;
                redirectTo     = urlcontext +redirectTo;

        }
      
      url = url.split("?")[0].split(";")[0];

      url+= '/' + action;
      
      url += '?popup=true&portal=pricing&basetype=' + type;
      if($(this).attr("redirectto")) url += '&redirectTo=' + redirectTo;
      
      //alert(url);
      
      $("body").append(iframe);
      iframe.get(0).src = url;
      
      iframe.dialog({
         bgiframe: true,
         height: 490,
         minHeight: 110,
         width: 960,
         modal: true,
         title: title,
         buttons: iframeButtons,
         beforeclose: function(){
            var innerIFrames = $("iframe", $(this).get(0).contentDocument);
            // Only show this dialog if the user is on an edit screen
            if ($(".createpricing:visible,.createoffers:visible", innerIFrames.get(0).contentDocument).length > 0 ||
                $(".createpricing:visible,.createoffers:visible", innerIFrames.get(1).contentDocument).length > 0) { 
               return confirm("Are you sure you want to close this window? Any changes will be lost.");
            }
            return true;
         },
         close: function(){
            var w = (window.parent?window.parent:window);
            w.location.href = w.location.href;
         },
         resize: resize
      })
      iframe.css({"width":"100%"})
      $(".ui-dialog-titlebar").hide();
   })
})